Aller au contenu

Microstation

Logiciel DAO/CAO de la société Bentley Systems.


270 sujets dans ce forum

    • 1 réponse
    • 3 k vues
  1. Infos sur microstation

    • 3 réponses
    • 3,3 k vues
  2. conversion de niveaux

    • 4 réponses
    • 3,3 k vues
  3. Imprimer plusieurs vues

    • 4 réponses
    • 4,2 k vues
  4. erreur installation MX Road

    • 0 réponse
    • 2,8 k vues
    • 3 réponses
    • 4,2 k vues
    • 1 réponse
    • 3,6 k vues
  5. tuto microstation 3d please

    • 0 réponse
    • 3,1 k vues
    • 7 réponses
    • 6,1 k vues
    • 1 réponse
    • 4,3 k vues
  6. Cherche formateur Microstation

    • 1 réponse
    • 3,5 k vues
  7. Mises à l\'échelle des plans

    • 1 réponse
    • 4,7 k vues
  8. Cellule parametre

    • 4 réponses
    • 5,2 k vues
  9. double écran

    • 3 réponses
    • 5,1 k vues
  10. distance le long element

    • 1 réponse
    • 3,9 k vues
  11. centre d\'une polyline

    • 1 réponse
    • 3,4 k vues
  12. paper space model space

    • 2 réponses
    • 2,7 k vues
  13. surbrillance et référence

    • 1 réponse
    • 2,4 k vues
  14. cotation

    • 4 réponses
    • 2,5 k vues
    • 0 réponse
    • 2,3 k vues
  15. listing, pt, x, y, distance

    • 8 réponses
    • 4,5 k vues
    • 2 réponses
    • 2,6 k vues
    • 2 réponses
    • 2,3 k vues
    • 3 réponses
    • 2,9 k vues
    • 2 réponses
    • 3 k vues


  • Statistiques des forums

    • Total des sujets
      47,3 k
    • Total des messages
      286,7 k
  • Sujets

  • Messages

    • Comme j'ai dit, il faut que (getkword) soit associé à (initget) ^^" Donc c'est plus quelque chose comme chat (avec quelques modifications en plus évidemment pour prendre en compte les différences entre (getstring) et (getkword)) : (defun c:FOOo (/ str att lst suf break) (setq str "Coude_DN") ; (setq str (getstring T "\nRenseigner le préfixe : ")) (setq att (getvar "ATTDIA")) (setvar "ATTDIA" 0) (setq lst "15 20 25 32 40 50 65 80 100 125 150 200 250 300 350 400 450 500") (while (and (not break) (null (initget lst)) (or (setq suf (getkword (strcat "\nType de conduite DN [" (vl-string-translate " " "/" lst) "/Quitter] <100> : " str))) (setq suf "100") ) ) (if (= "Quitter" suf) (setq break T) (progn (command "_-INSERT" (strcat str suf) pause 1 1 pause) (while (= 1 (getvar "CMDACTIVE")) (command "")) ) ) ) (setvar "ATTDIA" att) (princ) ) PS: Je ne l'ai pas testé cependant donc à voir... Bisous, Luna
    • Bonjour @FRAXA Relancer un sujet si vieux n'est pas toujours une bonne idée. Les liens vers les images sont morts et on ne sait pas vraiment quel est le résultat à atteindre. Ni ce qu'on a comme entité au départ. Merci de commencer un nouveau sujet, ou de compléter celui-ci pour qu'on puisse s'y mettre. Amicalement
    • bon je suis arrive a modifie ton lisp 🥳 par contre j ai un soucis c'est quant il relance la demande , je valide ou choisi un autre diamètre il me dit donne incorrect 😟 (defun c:FOOo (/ att str suf)   (setq str "CPC_DN") ; (setq str (getstring T "\nRenseigner le préfixe : "))   (setq att (getvar "ATTDIA"))   (setvar "ATTDIA" 0)  (initget "032 040 100")       (while (/= "" (setq suf (getkword "\ndiametre DN [032/040/100]? <100>: ")))     (command "_-INSERT" (strcat str suf) pause 1 1 pause)     (while (= 1 (getvar "CMDACTIVE")) (command ""))     )   (setvar "ATTDIA" att)   (princ) )
    • Bonjour à tous, Je relance ce sujet car je souhaite additionner la valeur "Remplacement de texte" de mes cotations (isométrie). J'ai remplacé " vla-get-measurement x " par " vla-get-TextOverride x " mais j'obtiens un message d'erreur " erreur: type d'argument incorrect: numberp:..." Est-il possible d'additionner les valeurs de "Remplacement de texte"?
    • Merci je vais essayer, mais c'est pas gagné 😄
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité